package main

import (
	"github.com/gin-gonic/gin"
	"yumc.pw/cloud/nvwa/config"
	"yumc.pw/cloud/nvwa/database"
	"yumc.pw/cloud/nvwa/model"
	"yumc.pw/cloud/nvwa/router"
)

func main() {
	g := gin.Default()

	router.Init(g)
	config.Init()
	database.Init()
	model.Init()

	g.Run(":8080")
}
