package service

import "github.com/docker/docker/api/types"

func (d *docker) ImageList() []types.ImageSummary {
	var (
		context = d.context
		options = types.ImageListOptions{}
	)
	images, err := d.client.ImageList(context, options)
	if err != nil {
		panic(err)
	}
	return images
}
