package database

import (
	"fmt"

	"github.com/jinzhu/gorm"
	_ "github.com/jinzhu/gorm/dialects/mysql" //MySQL
)

// Db gorm
var Db *gorm.DB

//Init database
func Init() error {
	config := fmt.Sprintf("%s:%s@tcp(%s)/%s?charset=utf8&parseTime=%t&loc=%s",
		"nvwa",
		"nvwa",
		"server.yumc.pw",
		"nvwa",
		true,
		"Local")
	db, err := gorm.Open("mysql", config)
	db.Set("gorm:table_options", "ENGINE=InnoDB")
	Db = db
	return err
}

// Create insert the value into database
func Create(value interface{}) *gorm.DB {
	return Db.Create(value)
}

//Close database
func Close() {
	Db.Close()
}
